Subject: Re: bug#44180: 28.0.50; Emacs frames won't redisplay unless resized

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Oct 2020 18:16:07 +0200

> From: Eric Abrahamsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 25 Oct 2020 09:01:20 -0700
> 
> The problem is that switching focus between windows (frames) does not
> update which window is "live". The most-recently created, or
> most-recently resized, window is always the live one. If I switch focus
> to one of the other frames, it doesn't update, and I need to move it
> around somehow in order to make it live. Then the other frames go dead.
> 
> Before the breakage, it's possible that the non-visible frames were not
> updated while they remained invisible, and I simply never knew because
> I couldn't see them. Now they stay un-updated until I manipulate the
> size of the window somehow.

That seems to suggest that we don't trigger expose_frame calls anymore
for the frames that become un-fontified?